Subject: Re: [PATCH] fix mv643xx_eth for disabled autoneg

From: Phil Sutter <[email-masked]>
Date: Wed, 20 Mar 2013 12:49:08 +0100

On Wed, Mar 06, 2013 at 06:49:02PM +0100, Phil Sutter wrote:
> When autoneg has been disabled in the PHY (Marvell 88E1118 here), auto
> negotiation between MAC and PHY seem non-functional anymore. The only
> way I found to workaround this is to manually configure the MAC with the
> settings sent to the PHY earlier.

And still, this is somehow broken for turned off autoneg. Not a DoS
anymore, but it seems like one can not disable duplex autoneg. No matter
what duplex settings I configure on each side, communication is still
possible.

Do you have any idea what could be missing or how to furtherly track
down the problem? Could this even be a bug in the hardware?

Best wishes, Phil